<?php

// Initializes the Zanox Engine, downloads the required data sets from Zanox,
// and generates the database of the Zanox Engine from it.

ini_set('default_charset', 'ISO-8859-1');   // Specifies character set for output generally
header('Content-Type: text/html; charset=ISO-8859-1');   // Specifies character set for output


// ############################ CONFIGURE HERE: ############################
$ConnectID = '580599047DF8F5311043';   // Insert the correct Connect ID
$Region = 'DE';   // Restrict to region, e.g. 'DE', 'FR', 'IT'
$DateFormat = 'EN';   // Formats dates as MM/DD/YYYY, 'DE' would return DD.MM.YYYY
$TimeFormat = 'EN';   // Formats time as hh:mm:ss AM/PM (0<=hh<=12), 'DE' would return hh:mm:ss (0<=hh<=24)
// #########################################################################


set_time_limit(1200);  // Makes enough time available - may have to be increased on a slow system

// If needed, makes enough memory available:
$memlim = ini_get('memory_limit');
$memlim = trim($memlim);
$ind = strtolower(substr($memlim, -1));
switch($ind)
   {
    case 'g':    // The 'G' factor symbol is available since PHP ver. 5.1.0, but this will not impair the script under an older PHP ver.
       $memlim *= 1024;
    case 'm':
       $memlim *= 1024;
    case 'k':
       $memlim *= 1024;
   }
if ($memlim < 62914560) ini_set('memory_limit', '60M');


ob_implicit_flush(true);  // Activates implicit flushing of the output buffer
ob_end_flush();  // Sends content of the output buffer and deactivates output buffering

print <<<EOP

<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=ISO-8859-1">
<title>Initializing Zanox Engine...</title>
</head>
<body bgcolor="#ffffff" text="#000000">
<font face="Courier New" size="2">

EOP;

include 'compat4.php';   // Provides compatibility with older PHP versions and defines special functions
include 'download_data.php';   // Downloads the data from Zanox; to re-process already existing .json data, comment this line out
include 'process_data.php';   // Builds the new database
// include 'german.php';   // Un-comment for using German translations of category names

print <<<EOP

<br></font>
</body>
</html>

EOP;

?>
