<?php

// Translates category names already known into German and overwrites
// CatID_from_CatName.dat and ProgIDs_from_CatID.dat with the respective German version.

// This file can be executed automatically by ZanoxEngine_init.php.


function translTrm($s)   // The translating function
   {
    switch($s)
       {
        case 'Cars & Motorbikes': return 'Autos &amp; Motorr&auml;der';
        case 'Books, Music & Movies': return 'B&uuml;cher, Musik &amp; Filme';
        case 'Office & School': return 'B&uuml;ro &amp; Schule';
        case 'Computer & Game Consoles': return 'Computer &amp; Spielkonsolen';
        case 'Shopping & Mail Order Shops': return 'Einkaufen &amp; Versandh&auml;user';
        case 'Food & Beverages': return 'Essen &amp; Trinken';
        case 'Family, Sports & Games': return 'Familie, Sport &amp; Spiele';
        case 'Gifts & Flowers': return 'Geschenke &amp; Blumen';
        case 'Health & Care': return 'Gesundheit &amp; Pflege';
        case 'Cell, Phone & Fax': return 'Handy, Telefon &amp; Fax';
        case 'House & Garden': return 'Haus &amp; Garten';
        case 'Household Appliances': return 'Haushaltsger&auml;te';
        case 'HiFi, TV & Video': return 'HiFi, TV &amp; Video';
        case 'Internet services': return 'Internet-Dienste';
        case 'Cameras & Camcorders': return 'Kameras &amp; Camcorder';
        case 'Clothing & Accessories': return 'Kleidung &amp; Accessoires';
        case 'Art & Culture': return 'Kunst &amp; Kultur';
        case 'News & Information': return 'Nachrichten &amp; Information';
        case 'Personal Homepage': return 'Private Homepage';
        case 'Travel & Flight': return 'Reisen &amp; Fl&uuml;ge';
        case 'Other': return 'Sonstiges';
        case 'Cities, Counrties & Regions': return 'St&auml;dte, L&auml;nder &amp; Regionen';
        case 'Cities, Countries & Regions': return 'St&auml;dte, L&auml;nder &amp; Regionen';  // In case they will correct it...
        case 'Tickets': return 'Tickets';
        case 'Insurance & Finances': return 'Versicherungen &amp; Finanzen';
       }
    return $s;
   }


$CatID_from_CatName = unserialize(file_get_contents('CatID_from_CatName.dat'));

$CatID_from_CatName_DE = array();

foreach ($CatID_from_CatName as $CatName => $CatID)   // Translating category names from $CatID_from_CatName[]...
   {
    $CatID_from_CatName_DE[translTrm($CatName)] = $CatID;
   }

$CatID_from_CatName = NULL;

// Sort array $CatID_from_CatName_DE[] alphabetically in ascending order by category name:
uksort($CatID_from_CatName_DE, 'strcasecmp_uh');

// Save array $CatID_from_CatName_DE[] in file CatID_from_CatName.dat (overwrite):
file_put_contents('CatID_from_CatName.dat', serialize($CatID_from_CatName_DE));
$CatID_from_CatName_DE = NULL;

$ProgIDs_from_CatID = unserialize(file_get_contents('ProgIDs_from_CatID.dat'));

foreach ($ProgIDs_from_CatID as $CatID => $CatData)   // Translating category names in $ProgIDs_from_CatID[]...
   {
    $ProgIDs_from_CatID[$CatID]['name'] = translTrm($CatData['name']);
   }

// Sort array $ProgIDs_from_CatID[] alphabetically in ascending order by category name:
if (!function_exists('snamecomp'))
   {
    function snamecomp($id1, $id2) { return strcasecmp_uh($id1['name'], $id2['name']); }  // Used for uasort()...
   }
uasort($ProgIDs_from_CatID, 'snamecomp');

// Save array $ProgIDs_from_CatID[] in file ProgIDs_from_CatID.dat (overwrite):
file_put_contents('ProgIDs_from_CatID.dat', serialize($ProgIDs_from_CatID));
$ProgIDs_from_CatID = NULL;


print("- Translating finished! -<br>\r\n");

?>
